local function WarriorSetup()
	return {
		['Challenging Shout'] = {
			events     = { success = true, },
			channel    = 'GROUP',
			conditions = { 'combat' },
		},
		['Shield Wall'] = {
			events     = { success = true, },
			channel    = 'GROUP',
		},
		['Last Stand'] = {
			events     = { success = true, },
			channel    = 'GROUP',
			conditions = { 'combat' },
		},
		['Pummel'] = {
			events     = { success = true, },
			channel    = 'GROUP',
			defaultDisabled = true,
		},
		['Shield Bash'] = {
			events     = { success = true, },
			channel    = 'GROUP',
			defaultDisabled = true,
		},
		['Sunder Armor'] = {
			events     = { success = true, },
			channel    = 'GROUP',
			defaultDisabled = true,
		},
	}
end

CastYeller:RegisterAnnounces('WARRIOR', WarriorSetup)